#14 Basic Samsung TV xxC650 support v2

open
nobody
None
5
2010-10-09
2010-10-09
RandomCore
No

This patch will enable miniDLNA using to support most features of a Samsung LE40C650 LCD TV:

* thumbnails (patch from minidlna forum which produces jpeg thumbnails e.g. movie.avi.jpg)
* subtitle submenu, if external subtitles are found
* chapter selection (exactly 5 or every 16% of the movie)
* chapter thumbnails can be computed during database building (e.g. startup) (NEW)
* Bookmarks (jump to last watched position)

However, there are still some risks involved:

* Switching to any different sort order than "basic" (blue "D"-Button on remote when in Video) will NOT work (TV freezes for about 90secs and stops media player)
* I have not tested against any other renderers. Though I tried to make every change specific to Samsung TVs, I cannot guarantee older Samsungs have Problems now.
* The Samsung media player has difficulties to show .srt subtitles with only LF (instead of CRLF)
* THIS IS STILL BETA (but I already use it)

What's new?
Especially for slower NAS devices we allow to precalculate the MTA files necessary for the chapter menu during startup/DB building. This is triggered by setting the new minidlna.conf option:

#
# Samsung specific switches
#
# samsung_external_mta_files = yes|no
#
# Set to yes on Samsung TV (e.g. LE40C650 and similar) if you are running
# miniDLNA on a slow device. This will precalculate the MTA files needed
# for the Smasung TV chapter menu while building the database instead of
# generating the MTA file on-the-fly if requested. Now, consider this: if
# generating MTA files is too slow for on-the-fly generation, the building
# of the database will considerably slow down by setting this to yes!
# Also note that a precomputed MTA file will always(!) be sent if requested.
# No on-thy-fly generation takes place. So, to change this, remove all MTA
# files as well.
samsung_external_mta_files = yes

Discussion

  • Harry9999

    Harry9999 - 2010-11-12

    took some time for me as linux noob :)
    but works fine on my LE32C650 via NSLU2

     
  • Nobody/Anonymous

    Wie hast Du es gemacht?
    Howto?

     
  • Nobody/Anonymous

    Eventuell habt ihr ja hier noch eine Lösung für mich.

    Quelltext von minidlna wurde gepatched mit
    patch -p1 < Dateinamedespatches.

    Bei make kommt am Ende diese Aussage hier:

    lbumart.c: In function ‘generate_albumart’:
    albumart.c:357: error: ‘video_thumbnailer’ undeclared (first use in this function)
    albumart.c:357: error: (Each undeclared identifier is reported only once
    albumart.c:357: error: for each function it appears in.)
    albumart.c:357: error: ‘vt’ undeclared (first use in this function)
    albumart.c:357: warning: implicit declaration of function ‘video_thumbnailer_create’
    albumart.c:358: error: ‘Jpeg’ undeclared (first use in this function)
    albumart.c:362: warning: implicit declaration of function ‘video_thumbnailer_generate_thumbnail_to_file’
    albumart.c:364: warning: implicit declaration of function ‘video_thumbnailer_destroy’
    make: *** Keine Regel vorhanden, um das Target »-lffmpegthumbnailer«,
    benötigt von »minidlna«, zu erstellen. Schluss.
    linus@Walle:~/Downloads/minidlna$

    Jemand eine Idee was das Problem sein könnte?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-03-14

    This patch works great, but would it be possible to store the video thumbnails and mta files in the database directory like the music album art does. I find storing them in the video folders intrusive. Also any chance of a updated version against the latest cvs?

     
    Last edit: Anonymous 2014-08-23
  • Nobody/Anonymous

    Does anyone already have a patch for the latest version (1.0.19)?

     
  • Nobody/Anonymous

    @nobody Date: 2011-03-18 19:01:49 UTC

    any new infos for version 1.0.19 ? i need the patch for c650 to

     
  • Nobody/Anonymous

    thx...this patch (minidlna.samsung-new-1.0.19.patch ) works :)

     
  • Nobody/Anonymous

    I have problems with BD-C5500, after patch. i see only Audio albums even under Video section,

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-04-25

    Hi, same problem here with BD-C5500
    i changed in upnpsoap.c
    if (h->req_client == ESamsungTV )
    {
    if( strcmp(ObjectId, "V_T") == 0 )
    ObjectId = strdup(VIDEO_DIR_ID);
    }

    to
    if (h->req_client == ESamsungTV )
    {
    if( strcmp(ObjectId, "1") == 0 )
    ObjectId = strdup(VIDEO_DIR_ID);
    }

    i got only subtitle menu working then, no idea if BD-C5500 support for bookmarks/chapters i tried to find out , but no luck.

     
  • Leon Botha

    Leon Botha - 2011-07-25

    Hi wACKY

    Did you manage to fix your HT-C5500 issue?
    It worked 100% on my 46C650, but...
    I to have a HT-C5500 with the same issues:
    1. Menu structure is broken
    2. No Chapters
    3. No resume

    I am new to Linux, so pointing me in the right direction will be appreciated..
    Leon

     
  • Leon Botha

    Leon Botha - 2011-07-25

    Here is the message in the LOG file.

    [2011/07/25 20:16:17] upnphttp.c:1267: warn: Client tried to specify transferMode as Streaming with an image!
    [2011/07/25 20:16:17] upnphttp.c:110: error: CloseSocket_upnphttp: close(-1): Bad file descriptor
    [2011/07/25 20:16:17] upnphttp.c:1267: warn: Client tried to specify transferMode as Streaming with an image!
    [2011/07/25 20:16:17] upnphttp.c:110: error: CloseSocket_upnphttp: close(-1): Bad file descriptor
    [2011/07/25 20:16:17] upnphttp.c:1267: warn: Client tried to specify transferMode as Streaming with an image!
    [2011/07/25 20:16:17] upnphttp.c:110: error: CloseSocket_upnphttp: close(-1): Bad file descriptor

    Leon

     
  • Mizu001

    Mizu001 - 2011-10-18

    Is it possible to get this patch for the latest version 1.0.22? Thank to to all you geniuses for making this work..

    Sameer

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-06-16

    Can you confirm if this is included in 1.0.24? My Samsung TV will not show thumbnails, but other renderers do.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks